Skip to content

Unified Catalog Topology Entity Field Definitions



GET /api/v1/unified_catalog/topology/entity_fields

Overview

Get available field definitions for Unified Catalog topology entities.

Query Parameters

Parameter Type Required Description
entityType string Entity type code. Returns fields for all entity types if not provided or empty.
Allow empty: True

Parameter Details

Request Parameter Details

Parameter type Required Description
entityType string No Entity type code

Usage Notes

  • If entityType is not provided or is an empty string, returns field definitions for all entity types in the current workspace.
  • To get field definitions for a specific entity type only, it is recommended to pass the corresponding entityType to narrow the response scope.

Request Example

curl 'https://openapi.truewatch.com/api/v1/unified_catalog/topology/entity_fields?entityType=service' \
-H 'DF-API-KEY: <DF-API-KEY>'

Response

{
    "code": 200,
    "content": {
        "items": [
            {
                "field": "project",
                "title": "Project",
                "entityTypes": [
                    "service",
                    "database"
                ]
            },
            {
                "field": "env",
                "title": "Environment",
                "entityTypes": [
                    "service"
                ]
            }
        ]
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-XXXX"
}